List channels
GET
/cms/channel/list
const url = 'https://api.example.com/cms/channel/list';const options = {method: 'GET', headers: {'API-Key': '<API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.example.com/cms/channel/list \ --header 'API-Key: <API-Key>'Returns a list of enabled channels. Supports filtering by type, description, and label via query parameters.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”type
string
Filter by channel type (e.g., push, email, newsletter, etc.)
description
string
Filter by channel description
label
string
Filter by channel label (comma-separated for multiple)
Responses
Section titled “Responses”List of channels
Media typeapplication/json
object
data
Array<object>
ChannelAPI representation of a channel
object
id
Channel ID
integer format: int64
name
Channel name
string
image
Channel image
string
description
Channel description
string
objectType
Object type
string
configuration
Channel configuration
object
Example generated
{ "data": [ { "id": 1, "name": "example", "image": "example", "description": "example", "objectType": "example", "configuration": {} } ]}